<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Maven Distribution Plug-in Goals</title>
    <author email="dion@multitask.com.au">dIon Gillard</author>
  </properties>

  <body>
    <goals>
      <goal>
        <name>dist</name>
        <description>
          This is the default goal of the plugin and simply attains
          the <code>dist:build</code> goal.
        </description>
      </goal>
      <goal>
        <name>dist:build</name>
        <description>
          This goal builds a complete distribution. It is achieved by
          attaining the <code>dist:build-bin</code> and
          <code>dist:build-src</code> goals.
        </description>
      </goal>
      <goal>
        <name>dist:build-bin</name>
        <description>
          Build a binary distribution made up of
          <ul>
            <li>a <code>.tar.gz</code> file</li>
            <li>a <code>.zip</code> file</li>
          </ul>
          The contents of which come from the <code>maven.dist.bin.archive.dir</code>
          directory.
        </description>
      </goal>
      <goal>
        <name>dist:build-setup</name>
        <description>
          Creates the <code>maven.dist.dir</code> directory.
        </description>
      </goal>
      <goal>
        <name>dist:build-src</name>
        <description>
          Build a source distribution made up of
          <ul>
            <li>a <code>.tar.gz</code> file</li>
            <li>a <code>.zip</code> file</li>
          </ul>
          The contents of which come from the <code>maven.dist.src.archive.dir</code>
          directory.
        </description>
      </goal>
      <goal>
        <name>dist:deploy</name>
        <description>
          Deploys a distribution to the remote repository. The distribution
          is packaged as the file <code>distributions.tar.gz</code>. To create
          this file the <code>dist:build</code> goal is attained.
        </description>
      </goal>
      <goal>
        <name>dist:deploy-snapshot</name>
        <description>
          Simply attains the <code>dist:deploy</code> goal after setting
          the build name to a snapshot format.
        </description>
      </goal>      
      <goal>
        <name>dist:deploy-src</name>
        <description>
          Deploys a source distribution to the remote repository. 
          To create this file the <code>dist:build-src</code> goal is attained.
        </description>
      </goal>      
      <goal>
        <name>dist:prepare-bin-filesystem</name>
        <description>
          This goal sets up the file system in preparation of the
          binary distribution. It's prerequisites are the
          <code>jar:jar</code> and <code>javadoc:generate</code> goals.
        </description>
      </goal>
      <goal>
        <name>dist:prepare-src-filesystem</name>
        <description>
          This goal sets up the file system in preparation of the
          source distribution. 
        </description>
      </goal>
    </goals>
 </body>
</document>
